> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abs.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# web3_clientVersion

> Returns the current client version



## OpenAPI

````yaml /api-reference/openapi.json post /web3_clientVersion
openapi: 3.0.0
info:
  title: Abstract JSON-RPC API
  description: JSON-RPC API documentation for Abstract blockchain
  version: 1.0.0
servers:
  - url: https://api.mainnet.abs.xyz
    description: Abstract Mainnet
security: []
tags:
  - name: Overview
    description: Overview of the Abstract JSON-RPC API
  - name: Ethereum API
    description: Standard Ethereum JSON-RPC methods
  - name: ZKSync API
    description: ZKSync-specific JSON-RPC methods
paths:
  /web3_clientVersion:
    post:
      tags:
        - Ethereum API
      summary: web3_clientVersion
      description: Returns the current client version
      operationId: web3_clientVersion
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - jsonrpc
                - method
                - id
              properties:
                jsonrpc:
                  type: string
                  default: '2.0'
                  description: JSON-RPC version
                method:
                  type: string
                  default: web3_clientVersion
                  description: The method to call
                params:
                  type: array
                  items: {}
                  description: No parameters
                  default: []
                id:
                  type: integer
                  default: 1
                  description: Request identifier
            example:
              jsonrpc: '2.0'
              id: 1
              method: web3_clientVersion
              params: []
      responses:
        '200':
          description: Returns client version information
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                    example: '2.0'
                  id:
                    type: integer
                    example: 1
                  result:
                    type: string
                    description: Client version string
                    example: Abstract/v2.0
              example:
                jsonrpc: '2.0'
                result: Abstract/v2.0
                id: 1

````